This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888560 - crash after encrypting a preexisting lv
crash after encrypting a preexisting lv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedNTH
: Reopened
Depends On:
Blocks: F18Blocker/F18FinalBlocker F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-12-18 16:33 EST by David Lehman
Modified: 2012-12-21 04:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 04:40:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash report (365.09 KB, application/octet-stream)
2012-12-18 16:33 EST, David Lehman
no flags Details

  None (edit)
Description David Lehman 2012-12-18 16:33:04 EST
Created attachment 665771 [details]
crash report

Description of problem:
If you mark a preexisting (unencrypted) lv for reformat including encryption, you get asked for a passphrase but the passphrase doesn't get set in the device object, causing a traceback at activation time.

Version-Release number of selected component (if applicable):
anaconda-18.37.2

How reproducible:
Always

Steps to Reproduce:
1. start with an existing unencrypted lv
2. mark it for reformat and encryption in the custom spoke
3. continue with installation
  
Actual results:
crash as detailed below

Expected results:
no crash

Additional info:
anaconda 18.37.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/luks.py", line 189, in create
    raise LUKSError("luks device has no key/passphrase")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 439, in execute
    options=self.device.formatArgs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 336, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
LUKSError: luks device has no key/passphrase
Comment 1 David Lehman 2012-12-18 16:34:02 EST
I have a working patch here.
Comment 2 Adam Williamson 2012-12-18 19:30:16 EST
at least +1 nth, probably +1 blocker (per the 'do any partitioning you like' criterion)
Comment 3 Kevin Fenzi 2012-12-18 19:36:07 EST
definitely +1 nth, weak +1 blocker...
Comment 4 Adam Williamson 2012-12-18 19:52:37 EST
So doing a slightly fuzzy count as we're firing off an anaconda build here and it'd be a shame to miss this - that's +1 from dlehman (anaconda), +1 from nirik (releng) and +1 from me (qa), so accepted NTH at least.
Comment 5 Fedora Update System 2012-12-18 20:33:41 EST
anaconda-18.37.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.4-1.fc18
Comment 6 Fedora Update System 2012-12-19 17:39:57 EST
Package anaconda-18.37.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20677/anaconda-18.37.4-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 00:34:04 EST
anaconda-18.37.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Kamil Páral 2012-12-21 04:40:12 EST
Petr verified, closing again.

Note You need to log in before you can comment on or make changes to this bug.